		<?php
			if ( !isset($_POST['qualite']) ) {
				echo "Saisie incomplete"; die();
			}
						
			try{
			$pdo = new PDO('sqlite:'.dirname(__FILE__).'/database.sqlite');
			$pdo->setAttribute(PDO::ATTR_DEFAULT_FETCH_MODE, PDO::FETCH_ASSOC);
			$pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION); 
			} catch(Exception $e) {
				echo "Impossible d'accéder à la base de données SQLite : ".$e->getMessage();
				die();
			}
			
			// Initialisation de la table SQLite : Champs ID, SAISIES et DATE
			$pdo->exec("CREATE TABLE IF NOT EXISTS sondages ( id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, saisies BLOB, date DATETIME DEFAULT CURRENT_TIMESTAMP );");

			// Ajout du POST (codé Json)
			$post = json_encode($_POST);
			$req = "INSERT INTO sondages ( saisies ) VALUES ('{$post}')";
			$pdo->exec($req);
			
			// Analyse des statistiques
			$req = $pdo->prepare('SELECT * FROM sondages');
			$req->execute();	
			$resul = $req->fetchAll();
	
			$nb = count($resul); // Nombre de sondages
			
			// Tableau recap
			$categorie = 0;
			foreach ($resul as $sondage) { // Pour chaque sondage
				foreach ( json_decode($sondage[saisies]) as $cle => $valeur) { //Pour chaque input simple
					if ( is_array($valeur) )
						foreach($valeur as $val1) 
							$tab[$categorie][$cle][$val1]++; // Pour chaque input multiple
					else 
					{ $tab[$valeur]['nb']++; $categorie = $valeur;}
				}
			}
			
			//Affichage html + calcul %
			foreach($tab as $cle => $valeur) { // Niveau categorie
					$nb = $valeur['nb'];
					echo "<ul><li>$cle : $nb</li><ul>";
					if ( is_array($valeur) ) {
						foreach ($valeur as $cle1 => $valeur1) {// niveau rubrique
							if (is_array($valeur1)) echo "<li>$cle1</li>";
							echo "<ul>";
							foreach ($valeur1 as $cle2 => $valeur2) { // niveau chose
								$var = round( ($tab[$cle][$cle1][$cle2]) * 100 / $nb);
								echo "<li>$cle2: $var % </li>";
							}
							echo "</ul>";
						}
						echo "</ul>";
					}
				echo "</ul>";
			}
		?>
